Android studio 突然大面积报过时 API,强装类型未做检查?

Android · harkben · 于 发布 · 最后由 harkben回复 · 719 次阅读
96

未更新IDE,未替换jdk sdk版本

两个项目 一套TV 一套手机。手机那边引用的库少一点,但也用来不少getColor()这类过期方法,但不影响打包编译
TV项目这边,突然全部抛出了warning不允许打包
蒸腾一上午了,各种方法试了(取消unchecked,deprecated 降低级别),都无法忽略掉。
不知道有没有同学也遇到过~

共收到 1 条回复
96
harkben · #1 ·

直接从自己的日志文件考过来的~:
运行异常: 突然出现非常多的,API过时引用,Class 类型未检查的警告,导致无法生成apk 及debug run
解决如下:
1.取消所有buildtoolsVersion 引用,(3.1之后将不在使用buildtools)
2.将最低supprot 库调整到 27.1.1,将编译sdk版本提升至27

需要 登录 后方可回复, 如果你还没有账号请点击这里 注册